Planned Operator 2.0 release

Hello :wave:,

for all the FDB operator users I wanted to give a heads-up: We are planning to cut a 2.0 release before the end of this year (tracking issue: Operator 2.0 release 路 Issue #1729 路 FoundationDB/fdb-kubernetes-operator 路 GitHub).

Probably the most interesting change for users will be that the minimal supported version will be 7.1. The linked GitHub issue has some more details about this, but basically we want to set the minimum supported version to 7.1 to be able to make use of the mgmt API in FDB and update the used fdb go bindings. The CRD version will stay the same.

Once the 2.0 release is in work we will provide an upgrade document that contains all the breaking changes and required steps to perform the upgrade.

If you have any concerns or questions feel free to either comment in the GitHub issue or here.

Thanks!

3 Likes